##################################################################
## Fichier .htaccess du domaine admin Aspartam                  ##
##                                                              ##
## @author      Equinoa Digital Agency - http://www.equinoa.com ##
## @copyright   2017 Equinoa Digital Agency                     ##
## @version     1.0                                             ##
## @license     http://aspartam.io/license.txt                  ##
##################################################################

# UTF-8 encoding
AddDefaultCharset UTF-8

# No listing for directories
<IfModule mod_autoindex.c>
    Options -Indexes
</IfModule>

# Compression
<IfModule mod_deflate.c>
    AddOutputFilter INCLUDES;DEFLATE js
    AddOutputFilter INCLUDES;DEFLATE css
    AddOutputFilter INCLUDES;DEFLATE php
    AddOutputFilter INCLUDES;DEFLATE html
    AddOutputFilter INCLUDES;DEFLATE xml
    AddOutputFilter INCLUDES;DEFLATE ico
    AddOutputFilter INCLUDES;DEFLATE eot
    AddOutputFilter INCLUDES;DEFLATE svg
    AddOutputFilter INCLUDES;DEFLATE ttf
    AddOutputFilter INCLUDES;DEFLATE vtt    
</IfModule>

# Fonts
AddType application/vnd.ms-fontobject .eot
AddType font/truetype .ttf
AddType font/opentype .otf
AddType application/x-font-woff .woff

<IfModule mod_deflate.c>
    <FilesMatch "\.(ttf|otf|eot|svg)$">
        SetOutputFilter DEFLATE
    </FilesMatch>
</IfModule>

# Cross Domain
<IfModule mod_headers.c>
    Header set Access-Control-Allow-Origin "*"
</IfModule>

# Stops a browser from trying to MIME-sniff
<IfModule mod_headers.c>
    Header always set X-Content-Type-Options "nosniff"
</IfModule>

# Avoid Clickjacking and enable XSS-protection for browsers
<FilesMatch "\.(pl|php|cgi|spl)$">
    <IfModule mod_headers.c>
        Header set X-Frame-Options "DENY"
        Header set X-XSS-Protection "1; mode=block"
    </IfModule>
</FilesMatch>

# Cache + ETags 1 Month
<FilesMatch "\.(flv|wmv|mp3|doc|ppt|ico|swf|ogv|mp4|webm|svg|ttf|woff|eot|mov|avi|pdf|txt|wav)$">
    <IfModule mod_headers.c>
        Header unset Set-Cookie
        Header set Cache-Control "max-age=2592000"
        header set vary "Accept-Encoding"
        header append vary "User-Agent"
        header append Cache-Control "public"
        header append Keep-Alive "timeout=5, max=100"
        header append Connection "Keep-Alive"
        FileETag None
    </IfModule>
</FilesMatch>

# Cache + ETags 1 Week
<FilesMatch "\.(gif|jpg|jpeg|png|js|css)$">
    <IfModule mod_headers.c>
        Header unset Set-Cookie
        Header set Cache-Control "max-age=604800"
        header set vary "Accept-Encoding"
        header append vary "User-Agent"
        header append Cache-Control "public"
        header append Keep-Alive "timeout=5, max=100"
        header append Connection "Keep-Alive"
        FileETag None
    </IfModule>
</FilesMatch>

# Cache + ETags 1 Hour
<FilesMatch "\.(xml|xsl|html|htm|txt)$">
    <IfModule mod_headers.c>
        Header set Cache-Control "max-age=3600"
        header set vary "Accept-Encoding"
        header append vary "User-Agent"
        header append Cache-Control "private"
        FileETag None
    </IfModule>
</FilesMatch>

# No cache for scripts
<FilesMatch "\.(pl|php|cgi|spl)$">
    <IfModule mod_headers.c>
        Header unset Cache-Control
        Header unset Expires
        Header unset Last-Modified
        Header unset Pragma
        FileETag None
        header set vary "Accept-Encoding"
        header append vary "User-Agent"
        header append Cache-Control "private"
    </IfModule>
</FilesMatch>

# Rewrite engine
<IfModule mod_rewrite.c>
    Options +FollowSymlinks
    RewriteEngine On
</IfModule>

# Block access to hidden files & directories
<IfModule mod_rewrite.c>
    RewriteCond %{SCRIPT_FILENAME} -d [OR]
    RewriteCond %{SCRIPT_FILENAME} -f
    RewriteRule "(^|/)\." - [F]
</IfModule>

# Forcing the good URL HTTPS
<IfModule mod_rewrite.c>
    RewriteCond %{HTTPS} !on
    RewriteCond %{HTTP_HOST} !kidjo-bo.local.equinoa.net$
    RewriteRule /?(.*) https://kidjo-bo.equinoa.net/$1 [R=301,L]
</IfModule>

# Forcing the good URL HTTP
<IfModule mod_rewrite.c>
    RewriteCond %{HTTP_HOST} !kidjo-bo.equinoa.net$
    RewriteCond %{HTTP_HOST} !kidjo-bo.local.equinoa.net$
    RewriteRule /?(.*) https://kidjo-bo.equinoa.net/$1 [R=301,L]
</IfModule>

# RewriteBase & ENV
<IfModule mod_rewrite.c>
    # Dev
    RewriteCond %{HTTP_HOST} kidjo-bo.local.equinoa.net$
    RewriteRule . - [E=APPENV:dev,E=STATICURL:kidjo-bo.local.equinoa.net]
    # Demo
    RewriteCond %{HTTP_HOST} kidjo-bo.equinoa.net$
    RewriteRule . - [E=APPENV:demo,E=STATICURL:kidjo-bo.equinoa.net]
</IfModule>

# Redirect
RewriteCond %{REQUEST_FILENAME} !-f 
RewriteCond %{REQUEST_FILENAME} !-d 
RewriteRule . /index.php
